
Smart Proxy - Bug #33452

Disable Webrick client initiated renegotiation

09/10/2021 11:31 AM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: Security   

Target version: 3.1.0   

Difficulty: easy Fixed in Releases: 3.1.0

Triaged: Yes Found in Releases:  

Bugzilla link: 2002538 Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/800

  

Description

Ruby 2.6 OpenSSL introduced a constant that can be used to disable this DoS security threat.

Associated revisions

Revision 603ce4c4 - 09/13/2021 11:51 AM - Lukas Zapletal 

Fixes #33452 - disable SSL client renegotiation

History

#1 - 09/10/2021 11:43 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/smart-proxy/pull/800 added

#2 - 09/13/2021 11:51 AM - The Foreman Bot

- Fixed in Releases 3.2.0 added

#3 - 09/13/2021 12:08 PM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset 603ce4c4ae4b1be149fe510136d2f4e4cfc91e7c.

#4 - 09/16/2021 10:46 AM - Ewoud Kohl van Wijngaarden

- Pull request deleted (https://github.com/theforeman/smart-proxy/pull/800)

- Fixed in Releases 3.1.0 added

- Fixed in Releases deleted (3.2.0)

#5 - 09/16/2021 11:00 AM - Ewoud Kohl van Wijngaarden

- Target version set to 3.1.0

- Pull request https://github.com/theforeman/smart-proxy/pull/800 added

- Fixed in Releases deleted (3.1.0)

#6 - 09/16/2021 11:06 AM - Ewoud Kohl van Wijngaarden

- Fixed in Releases 3.1.0 added
